package ex3;

public class CsvValidator {
	
	private IValidator[] nameValidators = {
		new RequiredValidator(), 
		new MaxLengthValidator(20)	
	};
	
	private IValidator[] ageValidators = {
			new RequiredValidator(), 
			new NumberValidator(), 
			new RangeValidator(20, 100)	
	};
	
	/** CSV1s؂܂B */
	public void validate(String[] values) {
		for (IValidator v : nameValidators) {
			String error = v.valid("O", values[0]);
			if (error != null) {
				throw new ValidException(error);
			}
		}
		for (IValidator v : ageValidators) {
			String error = v.valid("N", values[1]);
			if (error != null) {
				throw new ValidException(error);
			}
		}
	}
}
