package ex6;

public class MaxLengthValidator implements IValidator {
	private final int maxLength;
	public MaxLengthValidator(int maxLength) {
		this.maxLength = maxLength;
	}
	public String valid(String name, String text) {
		if (text != null && text.length() <= maxLength) {
			return null;
		} else {
			return name + "" + maxLength + "ȓœ͂ĂB";
		}
	}
}
