package ex9_1;

import org.seasar.framework.container.S2Container;
import org.seasar.framework.container.factory.S2ContainerFactory;

import ex1.CSV;

public class Main {
	public static void main(String[] args) {
		S2Container container = S2ContainerFactory.create("ex9_1/app.dicon");
		CsvValidator validator = (CsvValidator) container.getComponent("employeeCsvValidator");
		for (String line : CSV.CONTENT.split("\n")) {
			String[] values = line.split(",");
			try {
				validator.validate(values);
			} catch (ValidException e) {
				System.out.println("G[:" + e.getMessage());
			}
		}
	}
}